package com.bankaudit.rest.process.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.process.model.ControlGapDetails;

public interface ControlGapDetailsDao extends Dao {
	
	public List<ControlGapDetails> getControlGapDetails(Integer legalEntityCode, String auditId, String observationId, String recStatus);
	
	void deleteControlGapDetailsById(Integer id);
	
	void deleteControlGapDetailsByObservationId(String observationId);

}
